Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class X509CRL

    java.lang.Object
      |
      +--java.security.cert.CRL
            |
            +--java.security.cert.X509CRL

All Implemented Interfaces:
  X509Extension

Direct Known Subclasses:
  X509CRLObject

public abstract class X509CRL
extends CRL
implements X509Extension

Constructor Summary
`protected` | `X509CRL()`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`abstract byte[]` | `getEncoded()`
`abstract java.security.Principal` | `getIssuerDN()`
`abstract java.util.Date` | `getNextUpdate()`
`abstract X509CRLEntry` | `getRevokedCertificate(java.math.BigInteger serialNumber)`
`abstract Set` | `getRevokedCertificates()`
`abstract java.lang.String` | `getSigAlgName()`
`abstract java.lang.String` | `getSigAlgOID()`
`abstract byte[]` | `getSigAlgParams()`
`abstract byte[]` | `getSignature()`
`abstract byte[]` | `getTBSCertList()`
`abstract java.util.Date` | `getThisUpdate()`
`abstract int` | `getVersion()`
`int` | `hashCode()`
`abstract void` | `verify(java.security.PublicKey key)`
`abstract void` | `verify(java.security.PublicKey key, java.lang.String sigProvider)`

Methods inherited from class java.security.cert.CRL
`getType, isRevoked, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.cert.X509Extension
`getCriticalExtensionOIDs, getExtensionValue, getNonCriticalExtensionOIDs, hasUnsupportedCriticalExtension`

Constructor Detail

### X509CRL

    protected X509CRL()

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getEncoded

    public abstract byte[] getEncoded()
                               throws CRLException

    `CRLException`

### getIssuerDN

    public abstract java.security.Principal getIssuerDN()

### getNextUpdate

    public abstract java.util.Date getNextUpdate()

### getRevokedCertificate

    public abstract X509CRLEntry getRevokedCertificate(java.math.BigInteger serialNumber)

### getRevokedCertificates

    public abstract Set getRevokedCertificates()

### getSigAlgName

    public abstract java.lang.String getSigAlgName()

### getSigAlgOID

    public abstract java.lang.String getSigAlgOID()

### getSigAlgParams

    public abstract byte[] getSigAlgParams()

### getSignature

    public abstract byte[] getSignature()

### getTBSCertList

    public abstract byte[] getTBSCertList()
                                   throws CRLException

    `CRLException`

### getThisUpdate

    public abstract java.util.Date getThisUpdate()

### getVersion

    public abstract int getVersion()

### verify

    public abstract void verify(java.security.PublicKey key)
                         throws CRLException,
                                java.security.NoSuchAlgorithmException,
                                java.security.InvalidKeyException,
                                java.security.NoSuchProviderException,
                                java.security.SignatureException

    `CRLException`
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `java.security.SignatureException`

### verify

    public abstract void verify(java.security.PublicKey key,
                                java.lang.String sigProvider)
                         throws CRLException,
                                java.security.NoSuchAlgorithmException,
                                java.security.InvalidKeyException,
                                java.security.NoSuchProviderException,
                                java.security.SignatureException

    `CRLException`
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `java.security.SignatureException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD